## org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget
Interface IEStructuralFeatureWidget

All Superinterfaces:
  IDerivedTypedElementWidget, IENamedElementWidget<Facet,<any>>, IETypedElementWidget<Facet,<any>>

    public interface IEStructuralFeatureWidget

extends IDerivedTypedElementWidget

Method Summary
`boolean` `isChangeable()`
`boolean` `isDerived()`
`boolean` `isTransient()`
`boolean` `isVolatile()`
`void` `setChangeable(boolean value)`
`void` `setDerived(boolean value)`
`void` `setTransient(boolean value)`
`void` `setVolatile(boolean value)`

Methods inherited from interface org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget.IDerivedTypedElementWidget
`getQuery, getQueryText, isQueryEnable, selectQueryType, setQuery`

Methods inherited from interface org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget.IETypedElementWidget
`getElementTypeName, getEType, getLowerBound, getUpperBound, isOrdered, isUnique, pressTypeButton, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget.IENamedElementWidget
`getContainer, getElementName, pressParentButton, setName`

Method Detail

### isTransient

    boolean isTransient()

### setTransient

    void setTransient(boolean value)

### isVolatile

    boolean isVolatile()

### setVolatile

    void setVolatile(boolean value)

### isChangeable

    boolean isChangeable()

### setChangeable

    void setChangeable(boolean value)

### isDerived

    boolean isDerived()

### setDerived

    void setDerived(boolean value)